<div class="accordion" id="map-options-accordion">
  <div class="card">
    <div class="card-header py-0" id="headingMapOptionsOne">
      <h5 class="mb-0">
        <button class="btn btn-link shadow-none" data-toggle="collapse" data-target="#collapseMapOptionsOne" aria-expanded="true" aria-controls="collapseMapOptionsOne">
          <%= t '.clustering' %>
        </button>
      </h5>
    </div>

    <div id="collapseMapOptionsOne" class="collapse" aria-labelledby="headingMapOptionsOne" data-parent="#map-options-accordion">
      <div class="card-body">
        <div class="form-check">
          <%= check_box_tag(:clustering_enabled, true, true, class: 'form-check-input', onchange: 'proceduresMap.toggleCluster()') %>
          <%= label_tag(:clustering_enabled, t('.enabled'), class: 'form-check-label') %>
        </div>

        <hr>

        <div id="clustering_radius_container">
          <%= label_tag(:clustering_radius, t('.radius')) %><br>
          <%= text_field_tag(:clustering_radius, nil,
                             data: {
                               provide: 'slider',
                               slider_min: 0,
                               slider_max: 10,
                               slider_step: 0.1,
                               slider_tooltip: 'show'
                             }) %>
        </div>
      </div>
      <script>
        $('#clustering_radius').slider().on('slideStop', function(slider) {
          proceduresMap.clusterRadiusEvent(slider)
        })
      </script>
    </div>
  </div>

  <div class="card">
    <div class="card-header py-0" id="headingMapOptionsTwo">
      <h5 class="mb-0">
        <button class="btn btn-link shadow-none" data-toggle="collapse" data-target="#collapseMapOptionsTwo" aria-expanded="true" aria-controls="collapseMapOptionsTwo">
          <%= t '.heat_map' %>
        </button>
      </h5>
    </div>

    <div id="collapseMapOptionsTwo" class="collapse" aria-labelledby="headingMapOptionsTwo" data-parent="#map-options-accordion">
      <div class="card-body">
        <div class="form-check">
          <%= check_box_tag(:heat_map_enabled, true, false, class: 'form-check-input', onchange: 'proceduresMap.toggleHeatmap()') %>
          <%= label_tag(:heat_map_enabled, t('.count_heat_map'), class: 'form-check-label') %>
        </div>

        <hr>

        <%= label_tag(:heat_map_radius, t('.radius')) %><br>
        <%= text_field_tag(:heat_map_radius, 2,
                           data: {
                             provide: 'slider',
                             slider_value: 2,
                             slider_min: 0.1,
                             slider_max: 5,
                             slider_step: 0.1,
                             slider_tooltip: 'show'
                          },
                          onchange: 'proceduresMap.heatmapRadiusEvent(this)') %>

        <hr>

        <div class="form-check">
          <%= check_box_tag(:heat_map_high_contrast, true, false, class: 'form-check-input', onchange: 'proceduresMap.toggleHeatmapHighContrast()') %>
          <%= label_tag(:heat_map_high_contrast, t('.high_contrast'), class: 'form-check-label') %>
        </div>

        <hr>

        <%= label_tag(:heat_map_opacity, t('.opacity')) %><br>
        <%= text_field_tag(:heat_map_opacity, nil,
                           data: {
                             provide: 'slider',
                             slider_min: 0,
                             slider_max: 1,
                             slider_step: 0.05,
                             slider_tooltip: 'show'
                          },
                          onchange: 'proceduresMap.heatmapOpacityEvent(this)') %>

        <div class="form-check">
          <%= check_box_tag(:csw_heat_map_enabled, true, false, class: 'form-check-input', onchange: 'proceduresMap.toggleCSWHeatmap()') %>
          <%= label_tag(:csw_heat_map_enabled, t('.csw_heat_map'), class: 'form-check-label') %>
        </div>
      </div>
    </div>
  </div>

  <div class="card">
    <div class="card-header py-0" id="headingMapOptionsThree">
      <h5 class="mb-0">
        <button class="btn btn-link shadow-none" data-toggle="collapse" data-target="#collapseMapOptionsThree" aria-expanded="true" aria-controls="collapseMapOptionsThree">
          <%= t '.administrative_limits' %>
        </button>
      </h5>
    </div>

    <div id="collapseMapOptionsThree" class="collapse" aria-labelledby="headingMapOptionsThree" data-parent="#map-options-accordion">
      <div class="card-body">
        <% first = true %>
        <% [State, City, RegionalHealthCoordination, TechnicalHealthSupervision, Subprefecture,
            AdministrativeSector, Ubs, FamilyHealthStrategy, CensusSector].each do |klass| %>
          <% if klass.where.not(shape: nil).any? %>
            <% unless first %>
              <hr>
            <% else %>
              <% first = false %>
            <% end %>

            <% tag = "show_#{klass.name.underscore}_limits".to_sym %>
            <div class="form-check">
              <%= check_box_tag(tag, true, false, class: 'form-check-input',
                                onchange: "proceduresMap.toggleLimitsWithOverlay('#{klass.name.underscore}')") %>
              <%= label_tag(tag, t("procedures.map.divisions.#{klass.name.underscore}"), class: 'form-check-label') %>
            </div>
          <% end %>
        <% end %>
      </div>
    </div>
  </div>

  <div class="card">
    <div class="card-header py-0" id="headingMapOptionsFour">
      <h5 class="mb-0">
        <button class="btn btn-link shadow-none" data-toggle="collapse" data-target="#collapseMapOptionsFour" aria-expanded="true" aria-controls="collapseMapOptionsFour">
          <%= t '.health_facilities' %>
        </button>
      </h5>
    </div>

    <div id="collapseMapOptionsFour" class="collapse" aria-labelledby="headingMapOptionsFour" data-parent="#map-options-accordion">
      <div class="card-body">
        <div class="form-check">
          <%= check_box_tag(:health_facilities_enabled, true, true, class: 'form-check-input', onchange: 'proceduresMap.toggleHealthFacilities()') %>
          <%= label_tag(:health_facilities_enabled, t('.enabled'), class: 'form-check-label') %>
        </div>

        <hr>

        <div class="form-check">
          <%= check_box_tag(:health_facilities_percentiles_enabled, true, false, class: 'form-check-input', onchange: 'proceduresMap.toggleHealthFacilitiesPercentiles()') %>
          <%= label_tag(:health_facilities_percentiles_enabled, t('.percentiles_enabled'), class: 'form-check-label') %>
        </div>
      </div>
    </div>
  </div>
</div>
